ISELTIME(8)

NAME
iseltime - synchronize BIOS RTC and firmware SEL time from system time

SYNOPSIS
iseltime [-sx -N node -U user -P/-R pswd -EFJTVYZ]

DESCRIPTION
iseltime is a program that allows synchronizing the hardware time values for RTC (BIOS Real-Time-Clock) and SEL (IPMI firmware SEL time) with the OS system time. Run without options, iseltime shows each of these times to show whether they are the same or not.

The OS system time should be in sync with the BIOS Real-Time-Clock. The OS system time may also be kept from drifting via an NTP server. Normally the BIOS will set the firmware SEL time from the RTC during boot, but running this command may be necessary periodically if the system does not reboot for a long time, for instance. Note that some applications may not handle setting the time backward well. Note that this command should not be run too frequently to avoid firmware
timing issues.    It should not be set more than once per day.

OPTIONS
Command line options are described below.

-s  Set the RTC and IPMI firmware SEL time to match the system time. This should not be performed more often than once a day.

-x  Causes eXtra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

-Z  Set the slave address for a local MC

SEE ALSO
ipmiutil(8) ialarms(8) iconfig(8) icmd(8) idiscover(8) ievents(8) igetevent(8) ihealth(8) ilan(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2009 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>